Update monthly cash flow profile
curl --request PUT \
--url https://int-data.moneydesktop.com/monthly_cash_flow_profile \
--header 'Content-Type: application/vnd.mx.nexus.v1+json' \
--header 'MD-SESSION-TOKEN: <api-key>' \
--data '
{
"monthly_cash_flow_profile": {
"goals_contribution": 150,
"uses_estimated_goals_contribution": false
}
}
'import requests
url = "https://int-data.moneydesktop.com/monthly_cash_flow_profile"
payload = { "monthly_cash_flow_profile": {
"goals_contribution": 150,
"uses_estimated_goals_contribution": False
} }
headers = {
"MD-SESSION-TOKEN": "<api-key>",
"Content-Type": "application/vnd.mx.nexus.v1+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'MD-SESSION-TOKEN': '<api-key>',
'Content-Type': 'application/vnd.mx.nexus.v1+json'
},
body: JSON.stringify({
monthly_cash_flow_profile: {goals_contribution: 150, uses_estimated_goals_contribution: false}
})
};
fetch('https://int-data.moneydesktop.com/monthly_cash_flow_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"monthly_cash_flow_profile": {
"guid": "MCF-4e431124-4a29-abf9-f059-ab232ac14dbf",
"user_guid": "USR-6c83f63c-efcc-0189-3f14-100f0bad378a",
"budgeted_income": 1200.12,
"budgeted_expenses": 1000,
"goals_contribution": 150,
"estimated_goals_contribution": null,
"uses_estimated_goals_contribution": false
}
}Monthly Cash Flow Profiles
Update monthly cash flow profile
PUT
/
monthly_cash_flow_profile
Update monthly cash flow profile
Use this endpoint to update the attributes of a
monthly_cash_flow_profile.Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \ -H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \ -H 'Content-Type: application/vnd.mx.nexus.v1+json' \ -H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Body
application/vnd.mx.nexus.v1+json
Response
200 - application/vnd.mx.nexus.v1+json
OK
Hide child attributes
Hide child attributes
Unique identifier for the monthly cash flow profile. Defined by MX.
Example:
"MCF-4e431124-4a29-abf9-f059-ab232ac14dbf"
Unique identifier for the user the monthly cash flow profile is attached to. Defined by MX.
Example:
"USR-6c83f63c-efcc-0189-3f14-100f0bad378a"
The amount of the budgeted income for the user.
Example:
1200.12
The amount of the budgeted expenses for the user.
Example:
1000
The monthly dollar amount allocated for goals.
Example:
150
The estimated monthly dollar amount allocated for goals calculated from income and budgets.
Example:
null
If the user uses estimated goals contribution, this field will be true. Otherwise, this field will be false.
Example:
false
⌘I

